Authentication
Send Verification Email
Send a verification email to the current user.
Args: request: Optional email address. current_user: The authenticated user. verification_service: Verification service dependency.
POST
/
api
/
v1
/
auth
/
send-verification
Send Verification Email
curl --request POST \
--url https://api.example.com/api/v1/auth/send-verification \
--header 'Content-Type: application/json' \
--data '
{
"email": "[email protected]"
}
'import requests
url = "https://api.example.com/api/v1/auth/send-verification"
payload = { "email": "[email protected]" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({email: '[email protected]'})
};
fetch('https://api.example.com/api/v1/auth/send-verification', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Body
application/json
Request body for sending verification email.
User's email address. If not provided, the authenticated user's email is used.
Response
Verification email sent
The response is of type Response Send Verification Email Api V1 Auth Send Verification Post · object.
⌘I
Send Verification Email
